## org.hibernate.ejb.event
Class EJB3PostUpdateEventListener

    java.lang.Object
      org.hibernate.ejb.event.EJB3PostUpdateEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, HibernateEntityManagerEventListener, PostCollectionRecreateEventListener, PostCollectionRemoveEventListener, PostCollectionUpdateEventListener, PostUpdateEventListener

    public class EJB3PostUpdateEventListener

extends Object
implements PostUpdateEventListener, CallbackHandlerConsumer, PostCollectionRecreateEventListener, PostCollectionRemoveEventListener, PostCollectionUpdateEventListener

Implementation of the post update listeners.

See Also:
  Serialized Form

Constructor Summary
`EJB3PostUpdateEventListener()`
`EJB3PostUpdateEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`void` `onPostRecreateCollection(PostCollectionRecreateEvent event)`
`void` `onPostRemoveCollection(PostCollectionRemoveEvent event)`
`void` `onPostUpdate(PostUpdateEvent event)`
`void` `onPostUpdateCollection(PostCollectionUpdateEvent event)`
`void` `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3PostUpdateEventListener

    public EJB3PostUpdateEventListener()

### EJB3PostUpdateEventListener

    public EJB3PostUpdateEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### onPostUpdate

    public void onPostUpdate(PostUpdateEvent event)

  Specified by:
    `onPostUpdate` in interface `PostUpdateEventListener`

### onPostRecreateCollection

    public void onPostRecreateCollection(PostCollectionRecreateEvent event)

  Specified by:
    `onPostRecreateCollection` in interface `PostCollectionRecreateEventListener`

### onPostRemoveCollection

    public void onPostRemoveCollection(PostCollectionRemoveEvent event)

  Specified by:
    `onPostRemoveCollection` in interface `PostCollectionRemoveEventListener`

### onPostUpdateCollection

    public void onPostUpdateCollection(PostCollectionUpdateEvent event)

  Specified by:
    `onPostUpdateCollection` in interface `PostCollectionUpdateEventListener`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.